import React from 'react';
import { render } from 'react-dom';
import { AppContainer } from 'react-hot-loader';

import './index.sass';
import App from './App';

// Create div node to render app in
const rootContainer = document.createElement('div');
document.body.appendChild(rootContainer);

const runRender = (Component) => {
  console.log('Rendering app...');
  render(<AppContainer>
    <Component />
  </AppContainer>, rootContainer);
};

runRender(App);

if (module.hot) {
  module.hot.accept('./App', () => { runRender(App); });
}
